package me.unurled.raxen.components.entity.player;

import me.unurled.raxen.Raxen;
import me.unurled.raxen.utils.libs.Vault;
import org.bukkit.Bukkit;
import org.bukkit.entity.Player;
import org.bukkit.scoreboard.DisplaySlot;
import org.bukkit.scoreboard.Objective;
import org.bukkit.scoreboard.Score;
import org.bukkit.scoreboard.ScoreboardManager;

import static me.unurled.raxen.utils.Utils.*;

public class Scoreboard {

    private Raxen main;
    private Vault vault;

    public Scoreboard(Raxen main) {
        this.main = main;
        this.vault = main.getManager().getLibsManager().getVault();
    }

    public void createScorebord(Player player) {
        ScoreboardManager manager = Bukkit.getScoreboardManager();
        org.bukkit.scoreboard.Scoreboard board = manager.getNewScoreboard();
        Objective obj = board.registerNewObjective("Raxen","dummy", colorTextComp("<red>Elixium"));
        obj.setDisplaySlot(DisplaySlot.SIDEBAR);
        Score score = obj.getScore(colorString("<gold>-------------"));
        score.setScore(4);
        Score score1 = obj.getScore(colorString("<aqua>Name:" + player.getName()));
        score1.setScore(3);
        Score score2 = obj.getScore(colorString("<white>Location"));
        score2.setScore(2);
        Score score3 = obj.getScore(colorString("<gold>Coins: <gold>" + vault.getBalanceString(player)));
        score3.setScore(1);
        Score score4 = obj.getScore(colorString("<yellow>unurled.me"));
        score4.setScore(0);
        player.setScoreboard(board);
    }

    public void updateScoreboardTransaction(Player player) {
        if(player != null) {
            Objective objective = player.getScoreboard().getObjective(DisplaySlot.SIDEBAR);
            player.getScoreboard().getObjective(DisplaySlot.SIDEBAR);
            debug(main, String.valueOf(player.getScoreboard().getEntries()));
            for (String str : player.getScoreboard().getEntries()) {
                if(str.contains(player.getName())) {

                }
            }
            player.getScoreboard().resetScores("Coins");
            Score score = objective.getScore(colorString("<gold>Coins: <gold>" + vault.getBalanceString(player)));
            score.setScore(1);
        }
    }
}
